namespace IrrlichtNetSwig
{
    public partial class arraySGUISpriteFrame
    {
        public SGUISpriteFrame this[uint index]
        {
            get
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                return getValue(index);
            }
            set
            {
                if (index < 0 || size() < index)
                {
                    throw new System.IndexOutOfRangeException();
                }
                setValue(index, value);
            }
        }
        public static implicit operator arraySGUISpriteFrame(SGUISpriteFrame[] other)
        {
            var arr = new arraySGUISpriteFrame((uint)other.Length);
            for (uint i = 0; i < other.Length; i++)
            {
                arr.push_back(other[i]);
            }
            return arr;
        }
        public SGUISpriteFrame[] ToArray()
        {
            var arr = new SGUISpriteFrame[size()];
            for (uint i = 0; i < size(); i++)
            {
                arr[i] = this.getValue(i);
            }
            return arr;
        }
    }
}